using System;
using NinjaTrader.Cbi;

internal sealed class Delegate356 : MulticastDelegate
{
	public extern OptionRight Invoke(object object_0);

	public static OptionRight smethod_0(object object_0, Delegate356 delegate356_1)
	{
		return delegate356_1(object_0);
	}

	public extern Delegate356(object object_0, IntPtr intptr_0);

	static Delegate356()
	{
		Class10.smethod_13(typeof(Delegate356).TypeHandle);
	}

	internal static Delegate356 delegate356_0;
}
